﻿B4i=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.1
@EndOfDesignText@
'Code module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
	Private xui As XUI
	Public pStartTest As Page
	Private pnlRoot As Panel

	Private ToolBar1 As Panel

	Private clvParticipant As CustomListView
	Private pnlButtons As Panel
	Private pnlTimer As Panel
	Private pnlStartInfo As B4XView
	Private clvControls As CustomListView
		
	Private pnlParticipant As Panel
	Private pnlHaeder As Panel
End Sub

Public Sub Show
	pStartTest.Initialize("pStartTest")
	pStartTest.RootPanel.LoadLayout("main")

	pnlRoot.LoadLayout("frmTest")
	Main.NavControl.ShowPage(pStartTest)
	
End Sub

Private Sub pStartTest_Resize (Width As Float, Height As Float)
	'Log("pMain_Resize")
	Dim r As Rect = pStartTest.SafeAreaInsets
	pnlRoot.SetLayoutAnimated(0, 1, r.Left, r.Top, Width - r.Right - r.Left, Height - r.Bottom - r.Top)
End Sub

Private Sub pnlRoot_Resize(Width As Int, Height As Int)

	CreateControlsItems(3)

	LoadPartecipant
End Sub

Private Sub LoadPartecipant
	clvParticipant.Clear
	
	For i = 0 To 3
		clvParticipant.Add(addCustomItem, "")
	Next
End Sub

Private Sub addCustomItem As Panel
	Dim pnl As B4XView = xui.CreatePanel("")
	pnl.SetLayoutAnimated(0, 0, 0, clvParticipant.AsView.Width, 50dip)
	pnl.LoadLayout("layCheckItem")
	Dim p1 As B4XView = pnl.GetView(0)
	p1.GetView(1).Text = clvParticipant.Size
	p1.GetView(2).Text = "lastname"
	p1.GetView(3).Text = "name"
	p1.GetView(4).Visible = False
	p1.SetColorAndBorder(0xC8FFFFFF, 1dip, Colors.LightGray, 5dip)

	Return pnl
End Sub

Private Sub CreateControlsItems(Count As Int)
	clvControls.Clear
	For i = 0 To Count - 1
		Dim pnl As B4XView = xui.CreatePanel("")
		pnl.SetLayoutAnimated(0, 0, 0, clvControls.AsView.Width, 25dip)
		pnl.LoadLayout("layControlsItem")
		pnl.Color = Colors.Transparent

		Dim p1 As B4XView = pnl.GetView(0)
		p1.GetView(0).Text = (i + 1)
		p1.GetView(1).Text = "--:--:--.--"
		p1.GetView(2).Text = "--:--:--.--"
		p1.GetView(3).Text = "--:--.--"
		p1.GetView(4).Text = "--:--.--"
		p1.SetColorAndBorder(0xC8FFFFFF, 1dip, Colors.LightGray, 5dip)
	
		clvControls.Add(pnl, "")
	Next
End Sub

